AutoCad - hacer que visual basic dibuje un poligo en autocad

 
Vista:

hacer que visual basic dibuje un poligo en autocad

Publicado por andres (5 intervenciones) el 05/09/2003 21:55:43
saludos.

como puedo hacerle para que visual basic abra autocad sin que se vea y dibuje un poligo en base a los resultados de un calculo que hace visual basic, y lo guarde.

esto es sin utilizar ocx..

saludos y gracias
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:hacer que visual basic dibuje un poligo en auto

Publicado por SpeedCAD (367 intervenciones) el 08/09/2003 16:25:30
Hola...

Para hacer que autocad dibuje un poligono desde Visual Basic, primero debes hacer referencia a la biblioteca de AutoCAD, luego declarar las variables correspondientes. Los datos calculados pasarlos a una matriz de puntos y esos puntos parasarlos a una polilinea. Y si no quieres que muestre autocad solo no debes poner en el codigo por ejemplo:

autocadApp.Visible = False o simplemente no poner nada, pero con Visible = True lo mostrara...

Luego ocupas SaveAs y lo guardas.

Yo no se si sabes hacer todo esto, si no lo sabes, estoy dando un curso de Visual Basic para AutoCAD y si quieres puedes participar...

Un saludo de SpeedCAD... :)
CHILE
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:hacer que visual basic dibuje un poligo en auto

Publicado por andres (5 intervenciones) el 09/09/2003 16:43:29
la verdad no se como hacerlo para manipular el autocad mediante codigo de visual basic, si vi que estas dando un curso pero como mi unico acceso a internet esta en el trabajo y los dias que tu los das no puedo utilizar el acceso a internet, no es posible participar en el.

si estas generando algun tipo de documento de tu curso te agredeceria que me dijeras como puedo acceder a el.

de antemano gracias.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:hacer que visual basic dibuje un poligo en auto

Publicado por Christian (31 intervenciones) el 23/09/2003 06:01:13
mira en la ayuda del mismo autocad ...
Sub Example_AddSolid()
' This example creates a solid in model space.

Dim solidObj As AcadSolid
Dim point1(0 To 2) As Double
Dim point2(0 To 2) As Double
Dim point3(0 To 2) As Double
Dim point4(0 To 2) As Double

' Define the solid
point1(0) = 0#: point1(1) = 1#: point1(2) = 0#

point2(0) = 5#: point2(1) = 1#: point2(2) = 0#
point3(0) = 8#: point3(1) = 8#: point3(2) = 0#
point4(0) = 4#: point4(1) = 6#: point4(2) = 0#

' Create the solid object in model space
Set solidObj = ThisDrawing.ModelSpace.AddSolid(point1, point2, point3, point4)
ZoomAll

End Sub
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:hacer que visual basic dibuje un poligo en auto

Publicado por andres (5 intervenciones) el 24/09/2003 22:26:57
te entiendo que esos ejemplos estan hechos en visual basic de autocad?

yo me refiero a un sistema creado en visual basic de microsoft, el cual en base a ciertos calculos genera un sistema de coordenas las cuales las tengo que pasar despues a autocad..

lo que quiero es evitar eso salirme de mi sistema hecho en visual basic 6.0 para despues entrar a autocad y dibujar el poligono....

y como con visual basic 6.0 puedo manipular hojas de excel, word, correo, creia que tambien podia manipular autocad...

gracias...

Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar